package cn.com.poc.thirdparty.resource.demand.ai.entity.function;


import cn.com.poc.thirdparty.resource.demand.dgTools.result.AbstractResult;
import cn.com.poc.thirdparty.resource.demand.ai.entity.dialogue.FunctionCall;

import java.io.Serializable;

public class FunctionCallResult extends AbstractResult implements Serializable {

    /**
     * 是否为函数调用
     */
    private boolean need;

    /**
     * 函数信息
     */
    private FunctionCall functionCall;

    public boolean isNeed() {
        return need;
    }

    public void setNeed(boolean need) {
        this.need = need;
    }

    public FunctionCall getFunctionCall() {
        return functionCall;
    }

    public void setFunctionCall(FunctionCall functionCall) {
        this.functionCall = functionCall;
    }

    @Override
    public String toString() {
        return "FunctionCallResult{" +
                "need=" + need +
                ", functionCall=" + functionCall +
                '}';
    }
}
